using System;
using System.Globalization;
using System.Reflection;

internal sealed class Delegate19 : MulticastDelegate
{
	public extern object Invoke(object object_0, string string_0, BindingFlags bindingFlags_0, Binder binder_0, object object_1, object[] object_2, CultureInfo cultureInfo_0);

	public static object smethod_0(object object_0, string string_0, BindingFlags bindingFlags_0, Binder binder_0, object object_1, object[] object_2, CultureInfo cultureInfo_0, Delegate19 delegate19_1)
	{
		return delegate19_1(object_0, string_0, bindingFlags_0, binder_0, object_1, object_2, cultureInfo_0);
	}

	public extern Delegate19(object object_0, IntPtr intptr_0);

	static Delegate19()
	{
		Class10.smethod_13(typeof(Delegate19).TypeHandle);
	}

	internal static Delegate19 delegate19_0;
}
